LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LowLevelMonitorConfigurationAPI, enum: MC_VCP_CODE_TYPE, class: ByReference

Package com.sun.jna.platform.win32

# Class LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing class:
  LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE

public static class LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference extends ByReference
Defines a Reference to the enum

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  Create an uninitialized reference
  `ByReference(LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE value)`
  Instantiates a new reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE`
  `getValue()`
  Gets the value.
  `void`
  `setValue(LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE value)`
  Sets the value.

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()
    Create an uninitialized reference

  - ### ByReference

    public ByReference(LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE value)
    Instantiates a new reference.
    Parameters:
      `value` - the value

- ## Method Details

  - ### setValue

    public void setValue(LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getValue

    public LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE getValue()
    Gets the value.
    Returns:
      the value